POST api/sitecustomerapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
SiteCustomerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| remark | string |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"delay_between_scans": 1,
"id": "2bb53d66-dd9f-4705-bf73-0a8009d77613",
"name": "sample string 4",
"remark": "sample string 5",
"site_id": "54927f3e-0274-4221-a1e0-f67bae3a3fd3"
}
application/xml, text/xml
Sample:
<sitecustomer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <delay_between_scans>1</delay_between_scans> <id>2bb53d66-dd9f-4705-bf73-0a8009d77613</id> <name>sample string 4</name> <remark>sample string 5</remark> <site_id>54927f3e-0274-4221-a1e0-f67bae3a3fd3</site_id> </sitecustomer>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"bd99186f-3ee6-4c7d-bcd3-ac11e9b55d1c"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">bd99186f-3ee6-4c7d-bcd3-ac11e9b55d1c</guid>